/[jscoverage]/trunk/tests/store-unreadable-json.sh
ViewVC logotype

Contents of /trunk/tests/store-unreadable-json.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 337 - (show annotations)
Thu Oct 23 20:10:48 2008 UTC (11 years, 9 months ago) by siliconforks
File MIME type: application/x-sh
File size: 1843 byte(s)
Fix tests to work with SpiderMonkey 1.8.

1 #!/bin/sh
2 # store-unreadable-json.sh - test store when jscoverage.json is not readable
3 # Copyright (C) 2008 siliconforks.com
4 #
5 # This program is free software; you can redistribute it and/or modify
6 # it under the terms of the GNU General Public License as published by
7 # the Free Software Foundation; either version 2 of the License, or
8 # (at your option) any later version.
9 #
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13 # GNU General Public License for more details.
14 #
15 # You should have received a copy of the GNU General Public License along
16 # with this program; if not, write to the Free Software Foundation, Inc.,
17 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
18
19 set -e
20
21 . common.sh
22
23 # skip on windows
24 uname=`uname`
25 case "$uname" in
26 CYGWIN* | MINGW*)
27 exit 77
28 ;;
29 esac
30
31 shutdown() {
32 wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
33 wait $server_pid
34 }
35
36 cleanup() {
37 shutdown
38 }
39
40 trap 'cleanup' 0 1 2 3 15
41
42 export PATH=.:..:../js:$PATH
43
44 if [ -z "$VALGRIND" ]
45 then
46 delay=0.2
47 else
48 delay=2
49 fi
50
51 rm -fr DIR
52 $VALGRIND jscoverage-server --no-highlight --document-root=recursive --report-dir=DIR > OUT 2> ERR &
53 server_pid=$!
54 server_port=8080
55
56 sleep $delay
57
58 cat store.json | sed "s/@PREFIX@/\\//g" > TMP
59 wget --post-file=TMP -q -O- http://127.0.0.1:8080/jscoverage-store > /dev/null
60 cat store.expected.json | sed "s/@PREFIX@/\\//g" > TMP
61 json_cmp TMP DIR/jscoverage.json
62
63 chmod -r DIR/jscoverage.json
64
65 cat store.json | sed "s/@PREFIX@/\\//g" > TMP
66 echo 500 > EXPECTED
67 ! curl -d @TMP -f -w '%{http_code}\n' http://127.0.0.1:8080/jscoverage-store 2> /dev/null > ACTUAL
68 diff EXPECTED ACTUAL

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24